globus_i_ftp_client_range_t Struct Reference
Globus FTP Client API » FTP Operation Attributes

Byte range report.This structure contains information about a single extent of data stored on an FTP server. A report structure is generated from each part of an extended-block mode restart marker message from an FTP server. More...

`#include <globus_i_ftp_client.h>`

## Data Fields

globus_off_t | offset
globus_off_t | end_offset

## Detailed Description

Byte range report.

This structure contains information about a single extent of data stored on an FTP server. A report structure is generated from each part of an extended-block mode restart marker message from an FTP server.

## Field Documentation

## end_offset

globus_off_t globus_i_ftp_client_range_t::end_offset

Maximum value of this range.

## offset

globus_off_t globus_i_ftp_client_range_t::offset

Minimum value of this range.

The documentation for this struct was generated from the following file:

- globus_i_ftp_client.h